import request from '@/utils/request'

export function deleteTrialExternalUser(trialExternalUserId, isSystemUser, systemUserId) {
  return request({
    url: `/TrialExternalUser/deleteTrialExternalUser/${trialExternalUserId}/${isSystemUser}/${systemUserId}`,
    method: 'delete'
  })
}

export function configTrialBasicInfo(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/configTrialBasicInfo`,
    method: 'post',
    data: params
  })
}

export function configTrialProcessInfo(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/configTrialProcessInfo`,
    method: 'post',
    data: params
  })
}

export function configTrialUrgentInfo(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/ConfigTrialUrgentInfo`,
    method: 'post',
    data: params
  })
}

export function addOrUpdateVisitStage(params) {
  return request({
    url: `/Inspection/VisitPlan/AddOrUpdateVisitStage`,
    method: 'post',
    data: params
  })
}

export function confirmTrialVisitPlan(params) {
  return request({
    url: `/Inspection/VisitPlan/ConfirmTrialVisitPlan`,
    method: 'post',
    data: params
  })
}

export function trialConfigSignatureConfirm(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/TrialConfigSignatureConfirm`,
    method: 'post',
    data: params
  })
}

export function ConfigTrialBasicInfoConfirm(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/ConfigTrialBasicInfoConfirm`,
    method: 'post',
    data: params
  })
}

export function ConfigTrialProcessInfoConfirm(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/ConfigTrialProcessInfoConfirm`,
    method: 'post',
    data: params
  })
}

export function ConfigTrialUrgentInfoConfirm(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/ConfigTrialUrgentInfoConfirm`,
    method: 'post',
    data: params
  })
}

export function setTrialJudgyInfo(params) {
  return request({
    url: `/ReadingQuestion/setTrialJudgyInfo`,
    method: 'post',
    data: params
  })
}

export function getTrialJudgyInfo(params) {
  return request({
    url: `/ReadingQuestion/getTrialJudgyInfo`,
    method: 'post',
    data: params
  })
}

